APT-MARK(8)

NOME
apt-mark - mostrar, definir e apagar várias definições para um pacote

SINOPSE

apt-mark {-f=nome_do_ficheiro | {auto | manual} pkg... | {showauto | showmanual} [pkg...] } | {-v | --version} | {-h | --help}

apt-mark {hold | unhold | install | remove | purge} pkg... | {showhold | showinstall | showremove | showpurge} [pkg...]

DESCRIÇÃO

apt-mark pode ser usado como um front-end unificado para definir várias definições para um pacote, tal como marcar um pacote como sendo instalado automaticamente/manualmente ou alterar selecções do dpkg como manter, instalar, desinstalar e purgar as quais são respeitadas, por exemplo, por apt-get dselect-upgrade ou aptitude.

PACOTES INSTALADOS AUTOMATICAMENTE E MANUALMENTE

Quando você pede que um pacote seja instalado, e como resultado outros pacotes são instalados para satisfazer as suas dependências, as dependências são marcadas como sendo instaladas automaticamente, enquanto que o pacote que você instalou explicitamente é marcado como instalado manualmente. Uma vez que um pacote instalado automaticamente não é mais uma dependência de nenhum pacote instalado manualmente, é considerado como não sendo mais necessário e por ex o apt-get ou o aptitude irão sugerir remove-lo.

auto
    auto é usado para marcar um pacote como sendo instalado automaticamente, o que irá causar a remoção do pacote quando mais nenhum pacote instalado manualmente depender deste pacote.

manual
    manual é usado para marcar um pacote como sendo instalado manualmente, o que irá prevenir que o pacote seja removido automaticamente se nenhum outro pacote depender dele.

minimize-manual
    minimize-manual é usado para marcar (transitivo) dependências is used to mark (transitive) dependencies de meta-pacotes como instalados automaticamente. Isto pode ser usado após uma instalação por exemplo, para minimizar o número de pacotes instalados manualmente, ou continuamente em sistemas geridos por meta-pacotes de configuração do sistema.

showauto
    showauto é usado para escrever uma lista dos pacotes instalados automaticamente com cada pacote numa linha nova. Serão listados todos os pacotes instalados automaticamente se não for dado um pacote. Se forem dados pacotes então só serão mostrados aqueles que foram instalados automaticamente.

showmanual
    showmanual pode ser usado do mesmo modo que o showauto, excepto que irá escrever uma lista dos pacotes instalados manualmente.

  Opções

-f=nome_do_ficheiro, --file=nome_do_ficheiro
    Lê/Escreve o estado de pacote a partir do nome de ficheiro dado com o parâmetro nome_do_ficheiro em vez de o fazer a partir da localização predefinida, a qual é extended_states no directório definido pelo Item de Configuração: Dir::State.

PREVENIR ALTERAÇÕES PARA UM PACOTE

hold
    hold é usado para marcar um pacote como segurado, o que irá impedir o pacote de ser instalado automaticamente, actualizado ou removido.

unhold
    unhold é usado para cancelar um "hold" previamente definido num pacote para permitir de novo todas as acções.

showhold
    showhold é usado para escrever uma lista dos pacotes em retenção do mesmo modo que os outros comandos show.

AGENDAR PACOTES PARA INSTALAR, REMOVER E PURGAR

Alguns front-ends como o apt-get dselect-upgrade podem ser usados para aplicar alterações previamente agendadas ao estado de instalação de pacotes. Tais alterações podem ser agendadas com os comandos install, remove (também conhecido por deinstall) e purge. Os pacotes com uma selecção específica podem ser mostrados com showinstall, showremove e showpurge respetivamente. Mais informação acerca destas chamadas selecções do dpkg pode ser encontrada em dpkg(1).

OPÇÕES

-h, --help
    Mostra um sumário curto da utilização.

-v, --version
    Mostra a versão do programa.

--audit
    -Mostra mensagens audit (e notificações). Isto sobrepõe a opção quiet, mas apenas para mensagens de notificação, não as de progresso.

-c, --config-file
    Ficheiro de Configuração; Especifica o ficheiro de configuração a usar. O programa irá ler o ficheiro de configuração predefinido e depois este ficheiro de configuração. Se as definições de configuração precisarem de ser definidas antes, os ficheiros de configuração predefinidos são analisados especificando um ficheiro com a variável de ambiente APT_CONFIG. Veja apt.conf(5) para informação de sintaxe.

-o, --option
    Define uma Opção de Configuração; Isto irá definir uma opção de configuração arbitrária. A sintaxe é -o Foo::Bar=bar. -o e --option podem ser usadas várias vezes para definir opções diferentes.

--no-color, --color
    Liga e desliga cores. As cores estão ligadas por predefinição nos terminais suportados para apt(8) e também podem ser desactivadas usando as variáveis de ambiente NO_COLOR ou APT_NO_COLOR, ou também configuradas pela opção de configuração e escopo APT::Color, veja apt.conf(5) para informação sobre isso.

FICHEIROS

/var/lib/apt/extended_states
    Lista de estado de pacotes auto-instalados. Item de Configuração: Dir::State::extended_states.

VEJA TAMBÉM

apt-get(8), aptitude(8), apt.conf(5)

DIAGNÓSTICO

apt-mark devolve zero na operação normal, 100 decimal em erro.

BUGS

página de bugs do APT[1]. Se deseja reportar um bug no APT, por favor veja /usr/share/doc/debian/bug-reporting.txt ou o comando reportbug(1).

TRADUÇÃO

A tradução Portuguesa foi feita por Américo Monteiro <a_monteiro@netcabo.pt> de 2009 a 2012. A tradução foi revista pela equipa de traduções portuguesas da Debian <traduz@debianpt.org>.

Note que este documento traduzido pode conter partes não traduzidas. Isto é feito propositadamente, para evitar perdas de conteúdo quando a tradução está atrasada relativamente ao conteúdo original.

AUTORES

Mike O'Connor

Equipa do APT

NOTAS

1.  página de bugs do APT
    https://bugs.debian.org/src:apt